
GammaLib - Bug #1929

Use $GAMMALIB instead of prefix in setup script

02/22/2017 03:07 PM - Knödlseder Jürgen

Status: Rejected Start date: 02/22/2017

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2.0   

Description

The following lines of code pose problem in the gammalib-setup script

prefix="/Users/jurgen/Desktop/osxpackage/install"

exec_prefix="${prefix}"

gammalib_bin="${exec_prefix}/bin"

gammalib_lib="${exec_prefix}/lib:/Users/jurgen/Desktop/osxpackage/install/lib"

Instead of using prefix, the $GAMMALIB environment variable should be used.

Same for ctools:

prefix="/Users/jurgen/Desktop/osxpackage/install"

History

#2 - 02/24/2017 10:51 AM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

Done. Merged into devel.

#3 - 02/24/2017 02:48 PM - Knödlseder Jürgen

- Status changed from Closed to Rejected

It finally turned out that the use of the environment variables breaks thing for out of source builds.

Since the binary package should be non-relocatble (always be installed in /usr/local/gamma) the binary package generation should always use that

location for the building and checking of the package. This has already been implement in the Mac OS X package generation and validation scripts.

The issue is therefore rejected.

Powered by TCPDF (www.tcpdf.org)

05/01/2024 1/1

http://www.tcpdf.org

